%define major     5
%define libname   %mklibname onig %{major}
%define develname %mklibname oniguruma -d

Name:           oniguruma
Version:        6.9.7.1
Release:        %mkrel 1
Summary:        Regex Library Supporting Different Character Encodings
License:        BSD
Group:          System/Libraries
Url:            https://github.com/kkos/oniguruma
Source:         https://github.com/kkos/oniguruma/releases/download/v%{version}/onig-%{version}.tar.xz
BuildRequires:  pkgconfig

%description
Oniguruma is a regular expressions library. The characteristics of
this library is that different character encoding for every regular
expression object can be specified.

Supported character encodings: ASCII, UTF-8, UTF-16BE, UTF-16LE,
UTF-32BE, UTF-32LE, EUC-JP, EUC-TW, EUC-KR, EUC-CN, Shift_JIS, Big5, GB
18030, KOI8-R, KOI8, ISO-8859-1, ISO-8859-2, ISO-8859-3, ISO-8859-4,
ISO-8859-5, ISO-8859-6, ISO-8859-7, ISO-8859-8, ISO-8859-9,
ISO-8859-10, ISO-8859-11, ISO-8859-13, ISO-8859-14, ISO-8859-15,
ISO-8859-16.

#------------------------------------------------

%package -n     %{libname}
Summary:        Regex Library Supporting Different Character Encodings
Group:          System/Libraries
Obsoletes:  lib64onig2

%description -n %{libname}
Oniguruma is a regular expressions library. The characteristics of
this library is that different character encoding for every regular
expression object can be specified.

Supported character encodings: ASCII, UTF-8, UTF-16BE, UTF-16LE,
UTF-32BE, UTF-32LE, EUC-JP, EUC-TW, EUC-KR, EUC-CN, Shift_JIS, Big5, GB
18030, KOI8-R, KOI8, ISO-8859-1, ISO-8859-2, ISO-8859-3, ISO-8859-4,
ISO-8859-5, ISO-8859-6, ISO-8859-7, ISO-8859-8, ISO-8859-9,
ISO-8859-10, ISO-8859-11, ISO-8859-13, ISO-8859-14, ISO-8859-15,
ISO-8859-16.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       onig-devel = %{version}-%{release}
# kill the onig pkg
Obsoletes:      %{_lib}onig-devel < 5.9.6

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------
%prep
%setup -q -n onig-6.9.7
cp -rp sample/ examples

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libonig.so.%{major}*

%files -n %{develname}
%doc AUTHORS COPYING HISTORY index.html index_ja.html README
%doc doc/* examples/
%{_bindir}/onig-config
%{_includedir}/oniguruma.h
%{_includedir}/oniggnu.h
%{_libdir}/libonig.so
%{_libdir}/pkgconfig/oniguruma.pc


%changelog
* Sun Aug 01 2021 tex - 6.9.7.1-1pclos2021
- new version

